org.apache.pdfbox.preflight.exception

## Class SyntaxValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.pdfbox.preflight.exception.ValidationException
        - - org.apache.pdfbox.preflight.exception.SyntaxValidationException

All Implemented Interfaces:
  Serializable

    public class SyntaxValidationException
    extends ValidationException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.exception.ValidationException

`pageNumber`

### Constructor Summary

Constructors
Constructor and Description
`SyntaxValidationException(String message, Throwable cause, ValidationResult result)`
`SyntaxValidationException(String message, ValidationResult result)`
`SyntaxValidationException(Throwable cause, ValidationResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ValidationResult` `getResult()`

### Methods inherited from class org.apache.pdfbox.preflight.exception.ValidationException

`getPageNumber`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxValidationException

    public SyntaxValidationException(String message,
                                     Throwable cause,
                                     ValidationResult result)

#### SyntaxValidationException

    public SyntaxValidationException(String message,
                                     ValidationResult result)

#### SyntaxValidationException

    public SyntaxValidationException(Throwable cause,
                                     ValidationResult result)

### Method Detail

#### getResult

    public ValidationResult getResult()